Summary:	A library of functions for manipulating PNG image format files.
Name:		libpng
Version:	1.0.14
Release:	1.3.0
Packager:	Ryan W. Maple <ryan@guardiandigital.com>
Copyright:	distributable
Group:		System Environment/Libraries
Source:		ftp://ftp.uu.net/graphics/png/src/libpng-%{version}.tar.gz
Patch0:		libpng-1.0.14-Makefile-gd-1.diff
Buildroot:	%{_tmppath}/%{name}-%{release}-root
URL:		http://www.cdrom.com/pub/png/
Provides:	libpng.so.2

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG
is a bit-mapped graphics format similar to the GIF format.  PNG was
created to replace the GIF format, since GIF uses a patented data
compression algorithm.

%files
  %defattr(-,root,root)
  %doc *.txt example.c README TODO CHANGES
  %doc %{_mandir}/man5/*

  %{_libdir}/libpng.so.2.%{version}
  %{_libdir}/libpng10.so.0.%{version}

%package devel
Summary: Development tools for programs to manipulate PNG image format files.
Group: Development/Libraries
Requires: libpng = %{version}-%{release}

%description devel
The libpng-devel package contains the header files and static
libraries necessary for developing programs using the PNG (Portable
Network Graphics) library.

%files devel
  %defattr(-,root,root)
  %doc %{_mandir}/man3/*

  %{_includedir}/*
  %{_libdir}/libpng.a
  %{_libdir}/libpng.so

%prep
%setup -q
ln -s scripts/makefile.linux ./Makefile
%patch0 -p1

%build
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" 

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/{%{_includedir}/libpng10,%{_libdir},%{_mandir}/man{3,5}}

  make install prefix=$RPM_BUILD_ROOT/usr
  install -c -m 644 *.3 $RPM_BUILD_ROOT/%{_mandir}/man3
  install -c -m 644 *.5 $RPM_BUILD_ROOT/%{_mandir}/man5
  strip -R .comments --strip-unneeded $RPM_BUILD_ROOT/usr/lib/libpng10.so.0.%{version}

%post
  /sbin/ldconfig

  # Workaround for 1.0.5 upgrade (rwm).
  cd /usr/lib
  if [ -f "libpng.so.2" ]; then
	rm -f libpng.so.2
	ln -s libpng10.so.0.1.0.14 libpng.so.2 || :
  fi

%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Fri Jul 19 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.14, Release 1.2.1
  - "This version plugs some memory leaks and eliminates a
     vulnerability to buffer overflow in the progressive reader
     when the PNG datastream contains more IDAT data than
     indicated by the IHDR chunk."
  - Overhaul spec, rediff Makefile patch, package libpng10.so,
    provide libpng.so.2, package libpng.so.2.
  - Add workaround for 1.0.5 upgrade.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Oct 23 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.5, Release 1.1.1
  - Removed Serial tag from devel sub-package.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.5, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Wed Jun 13 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.5, Release 2.0.0
  - Initial build for EnGarde v2.0.

* Sun Nov 26 2000 Pete O'Hara <pete@guardiandigital.com>
- FHS fixes

* Wed Oct 09 2000 Pete O'Hara <pete@guardiandigital.com>
- initial version

